use eframe::CreationContext;

use super::model_response::ModelResponse;

pub struct AppState {
    pub selected_models: Vec<ModelResponse>,
    pub prompt_input: String,
}

impl AppState {
    pub fn new(_cc: &CreationContext<'_>) -> Self {
        Self {
            selected_models: vec![],
            prompt_input: String::new(),
        }
    }
}
